Package org.apache.torque.templates.transformer.om

# Enum Class JavaFieldAttributeName

java.lang.Object
java.lang.Enum<JavaFieldAttributeName>
org.apache.torque.templates.transformer.om.JavaFieldAttributeName

All Implemented Interfaces:
  `Serializable`, `Comparable<JavaFieldAttributeName>`, `Constable`, `SourceAttributeName`

public enum JavaFieldAttributeName extends Enum<JavaFieldAttributeName> implements SourceAttributeName
Defines the standard attributes for a source element representing a java field (i.e instance variable of a class).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDER_NAME`
  In case the field is a collection: The name of the method used to add one object to the collection.
  `ADDER_THROWS`
  The throws clause (excluding "throws " itself) for the adder method.
  `DEFAULT_VALUE`
  The default value for the field.
  `DESCRIPTION`
  The description of the field.
  `FIELD_ACCESS_MODIFIER`
  The access modifier (e.g.
  `FIELD_CONTAINED_TYPE`
  In case the field is a collection: The type of the objects contained in the collection.
  `FIELD_NAME`
  The name of the field
  `FIELD_TYPE`
  The type of the field
  `FILLER_NAME`
  In case the field can be filled somehow: The name of the method used to fill the field.
  `GETTER_ACCESS_MODIFIER`
  The access modifier (e.g.
  `GETTER_NAME`
  The method name of the setter for the field.
  `GETTER_THROWS`
  The throws clause (excluding "throws " itself) for the getter method.
  `INITIALIZER_NAME`
  In case the field must be initialized on first access, this contains the name of the init method.
  `INITIALIZER_THROWS`
  The throws clause (excluding "throws " itself) for the initializer method.
  `INITIALIZER_TYPE`
  In case the type cannot be instantiated (e.g. is an interface like List), this provides the type of the object the field is initialized with.
  `IS_INITIALIZED_NAME`
  In case the field must be initialized on first access, this contains the name of the method which returns whether the field has been initialized.
  `PROPERTY_NAME`
  The name of the javaBean property name (corresponding to getter/setter name).
  `RESETTER_NAME`
  In case the field is a collection: The name of the method used to reset (null) the collection.
  `SETTER_ACCESS_MODIFIER`
  The access modifier (e.g.
  `SETTER_NAME`
  The method name of the getter for the field.
  `SETTER_THROWS`
  The throws clause (excluding "throws " itself) for the setter method.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the referenced source element attribute.
  `String`
  `toString()`
  `static JavaFieldAttributeName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JavaFieldAttributeName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIELD_NAME

    public static final JavaFieldAttributeName FIELD_NAME
    The name of the field

  - ### FIELD_TYPE

    public static final JavaFieldAttributeName FIELD_TYPE
    The type of the field

  - ### FIELD_ACCESS_MODIFIER

    public static final JavaFieldAttributeName FIELD_ACCESS_MODIFIER
    The access modifier (e.g. "public" ...) for the field. Default is "private"

  - ### FIELD_CONTAINED_TYPE

    public static final JavaFieldAttributeName FIELD_CONTAINED_TYPE
    In case the field is a collection: The type of the objects contained in the collection.

  - ### SETTER_NAME

    public static final JavaFieldAttributeName SETTER_NAME
    The method name of the getter for the field.

  - ### GETTER_NAME

    public static final JavaFieldAttributeName GETTER_NAME
    The method name of the setter for the field.

  - ### PROPERTY_NAME

    public static final JavaFieldAttributeName PROPERTY_NAME
    The name of the javaBean property name (corresponding to getter/setter name).

  - ### INITIALIZER_NAME

    public static final JavaFieldAttributeName INITIALIZER_NAME
    In case the field must be initialized on first access, this contains the name of the init method.

  - ### INITIALIZER_TYPE

    public static final JavaFieldAttributeName INITIALIZER_TYPE
    In case the type cannot be instantiated (e.g. is an interface like List), this provides the type of the object the field is initialized with.

  - ### IS_INITIALIZED_NAME

    public static final JavaFieldAttributeName IS_INITIALIZED_NAME
    In case the field must be initialized on first access, this contains the name of the method which returns whether the field has been initialized.

  - ### ADDER_NAME

    public static final JavaFieldAttributeName ADDER_NAME
    In case the field is a collection: The name of the method used to add one object to the collection.

  - ### RESETTER_NAME

    public static final JavaFieldAttributeName RESETTER_NAME
    In case the field is a collection: The name of the method used to reset (null) the collection.

  - ### FILLER_NAME

    public static final JavaFieldAttributeName FILLER_NAME
    In case the field can be filled somehow: The name of the method used to fill the field.

  - ### GETTER_ACCESS_MODIFIER

    public static final JavaFieldAttributeName GETTER_ACCESS_MODIFIER
    The access modifier (e.g. "public" ...) for the getter method

  - ### SETTER_ACCESS_MODIFIER

    public static final JavaFieldAttributeName SETTER_ACCESS_MODIFIER
    The access modifier (e.g. "public" ...) for the setter method

  - ### GETTER_THROWS

    public static final JavaFieldAttributeName GETTER_THROWS
    The throws clause (excluding "throws " itself) for the getter method.

  - ### SETTER_THROWS

    public static final JavaFieldAttributeName SETTER_THROWS
    The throws clause (excluding "throws " itself) for the setter method.

  - ### INITIALIZER_THROWS

    public static final JavaFieldAttributeName INITIALIZER_THROWS
    The throws clause (excluding "throws " itself) for the initializer method.

  - ### ADDER_THROWS

    public static final JavaFieldAttributeName ADDER_THROWS
    The throws clause (excluding "throws " itself) for the adder method.

  - ### DEFAULT_VALUE

    public static final JavaFieldAttributeName DEFAULT_VALUE
    The default value for the field. This is the value the field is initialized with.

  - ### DESCRIPTION

    public static final JavaFieldAttributeName DESCRIPTION
    The description of the field.

- ## Method Details

  - ### values

    public static JavaFieldAttributeName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JavaFieldAttributeName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the referenced source element attribute.
    Specified by:
      `getName` in interface `SourceAttributeName`
    Returns:
      the name of the referenced source element attribute.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<JavaFieldAttributeName>`